org.apache.lucene.search

## Interface FuzzyTermsEnum.LevenshteinAutomataAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  FuzzyTermsEnum.LevenshteinAutomataAttributeImpl

Enclosing class:
  FuzzyTermsEnum

    public static interface FuzzyTermsEnum.LevenshteinAutomataAttribute
    extends Attribute

reuses compiled automata across different segments, because they are independent of the index

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Method Summary

All Methods Instance Methods Abstract Methods
`CompiledAutomaton[]` `automata()`
`void` `setAutomata(CompiledAutomaton[] automata)`

### Method Detail

#### automata

    CompiledAutomaton[] automata()

#### setAutomata

    void setAutomata(CompiledAutomaton[] automata)